Register a new server
POST
/system/servers
const url = 'https://example.com/api/v1/system/servers';const options = { method: 'POST', headers: { cookie: 'grommunioAuthJwt=<grommunioAuthJwt>', 'Content-Type': 'application/json' }, body: '{"hostname":"example","extname":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/v1/system/servers \ --header 'Content-Type: application/json' \ --cookie grommunioAuthJwt=<grommunioAuthJwt> \ --data '{ "hostname": "example", "extname": "example" }'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Header Parameters
Section titled “Header Parameters”X-Csrf-Token
string
CSRF Token
Request Body
Section titled “Request Body”Media typeapplication/json
object
ID
Unique ID of the object
integer
hostname
Internal hostname of the server
string
extname
External address of the server
string
users
Number of users on the server
integer
domains
Number of domains on the server
integer
Examplegenerated
{ "hostname": "example", "extname": "example"}Responses
Section titled “Responses”Server registered
Media typeapplication/json
object
ID
Unique ID of the object
integer
hostname
Internal hostname of the server
string
extname
External address of the server
string
users
Number of users on the server
integer
domains
Number of domains on the server
integer
Examplegenerated
{ "hostname": "example", "extname": "example"}Validation of input parameters failed
Media typeapplication/json
object
message
string
errors
List of errors encountered during validation
Array<string>
Examplegenerated
{ "message": "example", "errors": [ "example" ]}An error occurred while processing the request
Media typeapplication/json
object
message
String representation of the exception
string
Examplegenerated
{ "message": "example"}The database query failed
Media typeapplication/json
object
message
Description of the error
string
Examplegenerated
{ "message": "example"}